CO_TIME_t Struct Reference
CANopen_301 » TIME

TIME producer and consumer object. More...

`#include <CO_TIME.h>`

## Data Fields

CO_EM_t * | em
| From CO_TIME_init()
CO_NMT_internalState_t * | operatingState
| From CO_TIME_init()
bool_t | isConsumer
| True, if device is TIME consumer. More...
bool_t | isProducer
| True, if device is TIME producer. More...
uint16_t | COB_ID
| From CO_TIME_init()
uint32_t | periodTime
| TIME period time in [milliseconds]. More...
uint32_t | periodTimeoutTime
| TIME period timeout time in [milliseconds]. More...
volatile void * | CANrxNew
| Variable indicates, if new TIME message received from CAN bus.
uint32_t | timer
| Timer for the TIME message in [microseconds]. More...
uint16_t | receiveError
| Set to nonzero value, if TIME with wrong data length is received from CAN.
void(* | pFunctSignalPre )(void *object)
| From CO_TIME_initCallbackPre() or NULL.
void * | functSignalObjectPre
| From CO_TIME_initCallbackPre() or NULL.
CO_CANmodule_t * | CANdevRx
| From CO_TIME_init()
uint16_t | CANdevRxIdx
| From CO_TIME_init()
CO_CANmodule_t * | CANdevTx
| From CO_TIME_init()
uint16_t | CANdevTxIdx
| From CO_TIME_init()
CO_CANtx_t * | TXbuff
| CAN transmit buffer.

## Detailed Description

TIME producer and consumer object.

## Field Documentation

## isConsumer

bool_t CO_TIME_t::isConsumer

True, if device is TIME consumer.

Calculated from COB ID TIME Message variable from Object dictionary (index 0x1012).

## isProducer

bool_t CO_TIME_t::isProducer

True, if device is TIME producer.

Calculated from COB ID TIME Message variable from Object dictionary (index 0x1012).

## periodTime

uint32_t CO_TIME_t::periodTime

TIME period time in [milliseconds].

Set to TIME period to enable timeout detection

## periodTimeoutTime

uint32_t CO_TIME_t::periodTimeoutTime

TIME period timeout time in [milliseconds].

(periodTimeoutTime = periodTime * 1,5)

## timer

uint32_t CO_TIME_t::timer

Timer for the TIME message in [microseconds].

Set to zero after received or transmitted TIME message

The documentation for this struct was generated from the following file:

- 301/CO_TIME.h